package com.test.basd.onecleanmaster.helps

import android.util.Log
import com.test.basd.onecleanmaster.BuildConfig

object LogEx {
    val isOpen = true
    val filterTAG = arrayOf(
        "ActionBroadcast",
//        "NotificationTimerTask",
//        "NotificationHelper",
//        "NotificationEx",
        "TimeUtils",
//        "LaunchesFragment"
    )

    fun logDebug(tag: String, content: String, isMust: Boolean = false) {
        if (isMust) {
            Log.e(tag, content)
        } else {
            if (!isOpen) return
            if (filterTAG.contains(tag)) return
            if (BuildConfig.DEBUG) {
                Log.e(tag, content)
            }
        }
    }
}